
Katello - Feature #5189

Systems/Hosts: The Content Host details page should show basic provisioning details.

04/14/2014 03:26 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Hosts   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The Katello Content Host page should provide some high-level details on the Foreman Host (e.g. Provisioning Details).  This might

include high-level information that is provided from the Host list, such as:

- puppet status (at minimum, this must be included)

- puppet environment

- last report

- operating system (with the distribution icon)

- model

- hostgroup

Associated revisions

Revision 4a616cfd - 05/02/2014 09:55 AM - Brad Buckingham

Fixes #5186, #5189 - Content Host - show provisioning details and cross-link to Foreman host

This commit contains a few basic changes, including:

1. Add a foreign key to katello's system to enable associating it to a foreman host

2. Add a 'Provisioning Details' tab to a katello content host

3. Add high-level information from foreman to the provisioning details.  At this time,

this includes the information that is currently shown from foreman host list,

such as name, status, OS, puppet environment, last puppet report, model & host group.

4. Provide cross-linking (where possible) from the katello content host to the foreman host.

This currently supports linking to the host as well as hostgroup.

Revision 4e66371f - 05/02/2014 11:29 AM - Brad Buckingham

Merge pull request #4015 from bbuckingham/issue-5189

Fixes #5186, #5189 - Content Host - show provisioning details and cross-link to foreman host

Revision b2b95bf2 - 05/02/2014 01:55 PM - Brad Buckingham

Fixes #5186, #5189 - Content Host - show provisioning details and cross-link to Foreman host

This commit contains a few basic changes, including:

1. Add a foreign key to katello's system to enable associating it to a foreman host

2. Add a 'Provisioning Details' tab to a katello content host

3. Add high-level information from foreman to the provisioning details.  At this time,

this includes the information that is currently shown from foreman host list,

such as name, status, OS, puppet environment, last puppet report, model & host group.

4. Provide cross-linking (where possible) from the katello content host to the foreman host.

This currently supports linking to the host as well as hostgroup.

Revision eaa18115 - 05/02/2014 03:29 PM - Brad Buckingham

Merge pull request #4015 from bbuckingham/issue-5189

Fixes #5186, #5189 - Content Host - show provisioning details and cross-link to foreman host
History

#1 - 04/14/2014 03:48 PM - Brad Buckingham

From discussions:

"Basic Provisioning Details" == "Host status icon (currently exists in the Host list) with a word describing status"

#2 - 04/25/2014 07:57 PM - Brad Buckingham

- Assignee set to Brad Buckingham

- Triaged changed from No to Yes

#3 - 04/28/2014 04:25 PM - Brad Buckingham

- Target version set to 44

#4 - 05/02/2014 03:52 PM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:b2b95bf24da903478cec2a25fc5690213e084681.

#5 - 08/21/2014 02:45 PM - Eric Helms

- translation missing: en.field_release set to 13
